<template>
    <div class="edit-directory">
      <button @click="toggleFilterForm" class="filter-button">Фільтр</button>
      <div v-if="showFilterForm" class="filter-form">
        <div class="input-section">
          <label>
            Предмет
            <input v-model="currentDirectory.item" type="text" />
          </label>
        </div>
        <div class="input-section">
          <label>
            Години
            <input v-model="currentDirectory.hoursquantity" type="number" />
          </label>
        </div>
        <div class="input-section">
          <label>
            Викладач
            <input v-model="currentDirectory.teacher" type="text" />
          </label>
        </div>
        <div class="input-section">
          <label>
            Рейтинг
            <input v-model="currentDirectory.rating" type="number" />
          </label>
        </div>
      </div>
      
    </div>
  </template>
  
  <script>
  import { mapActions } from 'vuex'
  
  export default {
    name: 'EditDirectory',
    data() {
      return {
        currentDirectory: {},
        showFilterForm: false,
      }
    },
    watch:{
      currentDirectory:{
        handler(newFilter){
          this.updateFilter(newFilter);
        },
        deep: true,
      }
    },
    methods: {
      ...mapActions(['updateFilter']),
      toggleFilterForm() {
        this.showFilterForm = !this.showFilterForm;
      },
      
    },
  }
  </script>
  
  <style lang="scss" scoped>
  .edit-directory {
    max-width: 400px;
    margin: 0 auto;
  }
  
  .filter-button, .create-button {
    padding: 10px 15px;
    margin-bottom: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.3s;
  }
  
  .filter-button {
    background-color: #ffcc00;
    color: #333;
  }
  
  .filter-button:hover {
    background-color: #ffdb4d;
  }
  
  .create-button {
    background-color: #4caf50;
    color: white;
  }
  
  .create-button:hover {
    background-color: #66bb6a;
  }
  
  .input-section {
    margin-bottom: 20px;
  }
  
  label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
  }
  
  input {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
  }
  </style>
  